Eclipse Platform Release 3.7

## org.eclipse.core.databinding.property.set
Class DelegatingSetProperty

    java.lang.Object
      org.eclipse.core.databinding.property.set.SetProperty
          org.eclipse.core.databinding.property.set.DelegatingSetProperty

All Implemented Interfaces:
  IProperty, ISetProperty

    public abstract class DelegatingSetProperty

extends SetProperty

Since:
  1.2

Constructor Summary
`protected` `DelegatingSetProperty()`
`protected` `DelegatingSetProperty(Object elementType)`

Method Summary
`protected abstract ISetProperty` `doGetDelegate(Object source)` Returns the property to delegate to for the specified source object.
`protected Set` `doGetSet(Object source)` Returns a Set with the current contents of the source's set property
`protected void` `doSetSet(Object source, Set set)` Updates the property on the source with the specified change.
`protected void` `doUpdateSet(Object source, SetDiff diff)` Updates the property on the source with the specified change.
`protected ISetProperty` `getDelegate(Object source)` Returns the property to delegate to for the specified source object.
`Object` `getElementType()` Returns the type of the elements in the collection or `null` if untyped
`IObservableSet` `observe(Object source)` Returns an observable set observing this set property on the given property source
`IObservableSet` `observe(Realm realm, Object source)` Returns an observable set observing this set property on the given property source

Methods inherited from class org.eclipse.core.databinding.property.set.SetProperty
`getSet, observeDetail, setFactory, setFactory, setSet, updateSet, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingSetProperty

    protected DelegatingSetProperty()

### DelegatingSetProperty

    protected DelegatingSetProperty(Object elementType)

Method Detail

### getDelegate

    protected final ISetProperty getDelegate(Object source)

  Returns the property to delegate to for the specified source object. Repeated calls to this method with the same source object returns the same delegate instance.

  Parameters:
    `source` - the property source (may be null)
  Returns:
    the property to delegate to for the specified source object.

### doGetDelegate

    protected abstract ISetProperty doGetDelegate(Object source)

  Returns the property to delegate to for the specified source object. Implementers must ensure that repeated calls to this method with the same source object returns the same delegate instance.

  Parameters:
    `source` - the property source
  Returns:
    the property to delegate to for the specified source object.

### getElementType

    public Object getElementType()

  Description copied from interface: `ISetProperty`
  Returns the type of the elements in the collection or `null` if untyped

  Returns:
    the type of the elements in the collection or `null` if untyped

### doGetSet

    protected Set doGetSet(Object source)

  Description copied from class: `SetProperty`
  Returns a Set with the current contents of the source's set property

  Overrides:
    `doGetSet` in class `SetProperty`
  Parameters:
    `source` - the property source
  Returns:
    a Set with the current contents of the source's set property

### doSetSet

    protected void doSetSet(Object source,
                            Set set)

  Description copied from class: `SetProperty`
  Updates the property on the source with the specified change.

  Overrides:
    `doSetSet` in class `SetProperty`
  Parameters:
    `source` - the property source
    `set` - the new set

### doUpdateSet

    protected void doUpdateSet(Object source,
                               SetDiff diff)

  Description copied from class: `SetProperty`
  Updates the property on the source with the specified change.

  Overrides:
    `doUpdateSet` in class `SetProperty`
  Parameters:
    `source` - the property source
    `diff` - a diff describing the change

### observe

    public IObservableSet observe(Object source)

  Description copied from interface: `ISetProperty`
  Returns an observable set observing this set property on the given property source

  Specified by:
    `observe` in interface `ISetProperty`
  Overrides:
    `observe` in class `SetProperty`
  Parameters:
    `source` - the property source
  Returns:
    an observable set observing this set property on the given property source

### observe

    public IObservableSet observe(Realm realm,
                                  Object source)

  Description copied from interface: `ISetProperty`
  Returns an observable set observing this set property on the given property source

  Parameters:
    `realm` - the observable's realm
    `source` - the property source
  Returns:
    an observable set observing this set property on the given property source

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.